Bug 41812 - unable to configure ESS1869 non PnP
unable to configure ESS1869 non PnP
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 10:32 EDT by Eugene Kanter
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:19:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2001-05-22 10:32:27 EDT
Description of Problem:

sndconfig does not list ESS1869. Using any other entry results in no 
sound. Midi works.

SoundBlaster16 screen has two DMA entries but only one ends up in 
modules.conf file.

alias sound-slot-0 sb
options sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options sb io=0x220 irq=5 dma=0 mpu_io=0x330

System is Compaq deskpro EN series.

How Reproducible:

Always.

Steps to Reproduce:
1. start sndconfig
2. select sound blaster 16 (since no ESS1869 is listed)
3. enter dma1 = 0 and dma2 =1

Actual Results:

alias sound-slot-0 sb
options sound dmabuf=1
alias midi opl3
options opl3 io=0x388
options sb io=0x220 irq=5 dma=0 mpu_io=0x330


Expected Results:

dma2 should be in modules.conf somewhere.

Additional Information:
	
I used to have a working HAND MADE configuration, created
with the help of Red Hat tech support over a year ago,
but with the disk crashed I lost it.
Comment 1 Bill Nottingham 2001-05-22 16:37:15 EDT
What happens if you choose ESS688/1688/1888?
Comment 2 Eugene Kanter 2001-05-23 09:34:55 EDT
I made the sound work by changing primary dma from 0 to 1 in sndconfig.

I repeat that the problem are

1. ESS688/1688/1888 offer only ONE DMA channel, 8bit.
2. My ESS has TWO DMA channles.
3. Sound Blaster 16 configuration offers two DMAs but second one goes
nowhere as far as I can see.

Here is sound configuration as reported from BIOS:

220-22F, 388-38B, 330-331, IRQ 5, DMA 1, DMA 0.

No other description is awailable from BIOS.

Comment 3 Bill Nottingham 2005-01-21 17:19:18 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.